Metacat - Bug #93

allow dynamic addition of actions
08/21/2000 11:59 AM - Chad Berkley

Status: Resolved Start date: 08/21/2000
Priority: Normal Due date:

Assignee: Chad Berkley % Done: 0%
Category: metacat Estimated time: 0.00 hour
Target version: Release1.0 Spent time: 0.00 hour
Bugzilla-ld: 93

Description

Instead of hard coding in each action into metacat, actions could be loaded
dynamically by defining a class which contains a method that executes the action
specified. This class would be modeled around another abstract class to define

the method name and any instance variables that would be needed. MetaCat would
then dynamically load the class to handle the action. The action->class mapping
could be handled by the xml_catalog table or by a properties file. This

implements a type of "plug-in" that would allow metacat to handle any new

actions without being recompiled.

History

#1 - 08/21/2000 04:30 PM - Matt Jones

reassigned to berkley.
#2 - 07/23/2001 11:16 AM - Matt Jones
Changed milestone for several bugs. Some of these we should consider marking

INVALID or WONTFIX.

#3 - 09/17/2001 10:15 AM - Matt Jones

This feature is not needed. Actions are fine hardcoded.

#4 - 03/27/2013 02:13 PM - Redmine Admin
Original Bugzilla ID was 93

03/13/2024

1/1



http://www.tcpdf.org

